@import url('https://fonts.googleapis.com/css?family=Source+Code+Pro');
* { margin: 0; padding: 0; }
body { background-color: #ededed; color: #4f4f4f; }
h1 { background: #fffd54; color: black; text-shadow: none; font-size:11pt; margin:10pt; width: 55ch;}
pre { font-family: 'Source Code Pro', monospace; font-size:11pt; width: 45ch; margin: 2em auto; padding: .5em; line-height: 0; counter-reset: line; }
pre span { display: block; line-height: 1.2rem; }
pre span:before { counter-increment: line; content: counter(line); display: inline-block; border-right: 1px solid #aeaeae; width: 3ch; padding: 0 .5em; margin-right: .5em; color: #4f4f4f; text-align: right; }
pre div { display: block; line-height: 1.15rem; margin-bottom: 2em; text-shadow: none; }
pre a { text-decoration: none; color: #000000;}
pre a:hover { color:#ff0000; text-decoration: none; }
::selection { background: #fffd54; color: black; text-shadow: none; }
.highlighted { background: #fffd54; color: black; text-shadow: none; }
a.highlighted:hover { color: black; }
details { display: inline; line-height: 1.15rem; }
details > summary { display: inline; cursor: pointer; list-style: none; font-weight: bold; }
details > summary:hover { color:#ff0000; text-decoration: none; }
details:before, details[open] > a:before { counter-increment: line; content: counter(line); display: inline-block; border-right: 1px solid #aeaeae; width: 3ch; padding: 0 .5em; margin-right: .5em; color: #4f4f4f; text-align: right; font-size: 11pt; }
a.none:hover{ text-decoration: none; color: #000000;}
a.small { font-size:10pt; }
